Package com.microblink.blinkid.entities.recognizers.blinkid.documentface

# Enum Class DocumentFaceDetectorType

java.lang.Object
java.lang.Enum<DocumentFaceDetectorType>
com.microblink.blinkid.entities.recognizers.blinkid.documentface.DocumentFaceDetectorType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentFaceDetectorType>`, `Constable`

public enum DocumentFaceDetectorType extends Enum<DocumentFaceDetectorType>
Possible supported detectors for documents containing face image

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IDENTITY_CARD_TD1`
  Uses document detector for TD1 size identity cards
  `IDENTITY_CARD_TD2`
  Uses document detector for TD2 size identity cards
  `PASSPORTS_AND_VISAS`
  Uses MRTD detector for detecting documents with MRZ

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentFaceDetectorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentFaceDetectorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IDENTITY_CARD_TD1

    public static final DocumentFaceDetectorType IDENTITY_CARD_TD1
    Uses document detector for TD1 size identity cards

  - ### IDENTITY_CARD_TD2

    public static final DocumentFaceDetectorType IDENTITY_CARD_TD2
    Uses document detector for TD2 size identity cards

  - ### PASSPORTS_AND_VISAS

    public static final DocumentFaceDetectorType PASSPORTS_AND_VISAS
    Uses MRTD detector for detecting documents with MRZ

- ## Method Details

  - ### values

    public static DocumentFaceDetectorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentFaceDetectorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null